{% extends "default.html" %}
{% load static %}
{% load static %}
{% load django_bootstrap5 %}

{% block content %}
<ol class="breadcrumb">
    <li>
        <a href="{% url 'panels:index' %}">Panels</a>
    </li>
    <li>
        <a href="{{ view.panel.get_absolute_url }}">
            {{ view.panel.level4title.name }}
        </a>
    </li>
    <li>
        <a href="{% url 'panels:evaluation' view.panel.panel.id entity_type entity_name %}">
            {{ entity_name }}
        </a>
    </li>
    <li class="active">
        Add review
    </li>
</ol>

<h1>
    {% block title %}Review {% if entity_type == 'gene' %}gene{% elif entity_type == 'str' %}STR{% elif entity_type == 'region' %}Region{% endif %}{% endblock %}
</h1>

{% if request.user.is_authenticated and request.user.reviewer.is_verified %}
    <form class="row add-top-margin remove-empty-array-val" id="evaluation-create" method="post">
        {% csrf_token %}
        <div class="col-md-8">
            <div class="well">
                <fieldset>
                    {% for field in form %}
                        <div class="form-group">
                            {% if field.name == "mode_of_pathogenicity" %}
                                {{ field.label_tag }} <a data-bs-toggle="modal" href="#model_of_path" data-testid="review-show-info-mop" ><i class="fa fa-question-circle"></i></a>
                            {% elif field.name == "Model_of_inheritance" %}
                                {{ field.label_tag }} <a data-bs-toggle="modal" href="#moi" data-testid="review-show-info-moi" ><i class="fa fa-question-circle"></i></a>
                            {% elif field.name == "rating" %}
                                <hr />
                                <h4 class="add-label-margin">Review gene</h4>
                                <p class="text-muted">You can optionally include a review of this gene when you add it.</p>
                                {{ field.label_tag }}
                            {% elif field.name == "current_diagnostic" %}
                                {{ field.label_tag }} <a data-bs-toggle="modal" href="#diagostic" data-testid="review-show-info-current-diagnostic" ><i class="fa fa-question-circle"></i></a>
                            {% else %}
                                {{ field.label_tag }}
                            {% endif %}

                            {% bootstrap_field field show_label=False %}
                        </div>
                    {% endfor %}
                    <button type="submit" class="btn btn-primary">Add review</button>
                </fieldset>
            </div>
        </div>
    </form>
    {{ form.media }}
    {% block modals %}
        {% include "panels/modals/rating.html" %}
        {% include "panels/modals/mode_of_path.html" %}
        {% include "panels/modals/diagnostic.html" %}
        {% include "panels/modals/mode_of_inheritance.html" %}
    {% endblock %}
{% endif %}
{% endblock %}
